<template>
    <div class="page-container bg-tek-black w-screen">
        <div class="flex w-full h-screen bg-01 bg-no-repeat bg-contain">
            <div class="flex flex-col w-1/2 pt-28 pl-28 items-center justify-center">
                <h1 class="font-bold text-center text-tek-white font-maxwell text-6xl tracking-wider mb-4">{{monthbox.title}}</h1>
                <div class="flex w-full justify-center items-center mt-3">
                    <i v-for="i in 3" :key="i" class="fa-star fa-lg mx-1" :class="i <= monthbox.level ? 'text-tek-main fas' : 'text-tek-white far'"/>
                </div>
                <div class="flex flex-col w-1/3 pl-6 justify-center items-center">
                    <inertia-link :href="route('shop')">
                        <button type="button"
                            class="mt-8 bg-transparent w-full text-tek-main inline-flex justify-center items-center px-4 py-2 border border-tek-main text-xl font-medium focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
                            Boutique
                        </button>
                    </inertia-link>
                </div>
                <p class="text-center text-lg text-white ml-32 mr-20 my-10 w-full">
                    {{monthbox.desc}}
                </p>
            </div>
            <div class="w-1/2 flex h-full pl-16 items-center">
                <img :src="assetSrc('assets/images/assetbox.png')" alt="box default asset">
            </div>
        </div>
    </div>
</template>

<script>
    import CardBox from '@/Components/CardBox.vue'
    import Layout from '@/Shared/Layout'
    import { assetsPathMixin } from '@/mixins/assetsPathMixin'
    export default {
          mixins: [assetsPathMixin],
        components: {
            CardBox
        },
        data() {
            return {
                monthbox: {}
            }
        },
        created() {
            this.monthbox = this.$page.props.monthbox;
        },
        layout:Layout,
    }
</script>
